Bug 208032 - New port: databases/mysqldump-secure: POSIX compliant open-source backup tool for MySQL databases
Summary: New port: databases/mysqldump-secure: POSIX compliant open-source backup tool...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-15 16:51 UTC by Jesse Smith
Modified: 2017-01-01 18:49 UTC (History)
1 user (show)

See Also:


Attachments
Shar archive of the new mysqldump-secure port (2.36 KB, text/plain)
2016-03-15 16:51 UTC, Jesse Smith
no flags Details
fix various issues (1.96 KB, text/plain)
2016-12-30 16:55 UTC, Nikolai Lifanov
no flags Details
fix various issues (1.92 KB, text/plain)
2016-12-30 17:00 UTC, Nikolai Lifanov
no flags Details
fix various issues (1.92 KB, text/plain)
2016-12-30 17:04 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Smith 2016-03-15 16:51:04 UTC
Created attachment 168243 [details]
Shar archive of the new mysqldump-secure port

Please find attached a new port for the mysqldump-secure database backup utility. Mysqldump-secure is a POSIX compliant open-source backup tool for MySQL databases with strong security in mind. It will backup every available database (which is readable by the specified user) as a separate file with the possibility to opt out via blacklisting.

Website: http://mysqldump-secure.org/
Comment 1 Nikolai Lifanov freebsd_committer 2016-12-30 16:33:24 UTC
Can you make sure "portlint -A" passes please? There are many issues.
Also, since this is from github, can you switch to USE_GITHUB please?
Comment 2 Nikolai Lifanov freebsd_committer 2016-12-30 16:34:32 UTC
Also, USE_MYSQL is deprecated.
Comment 3 Nikolai Lifanov freebsd_committer 2016-12-30 16:55:38 UTC
Created attachment 178399 [details]
fix various issues
Comment 4 Nikolai Lifanov freebsd_committer 2016-12-30 16:57:51 UTC
Can you review if this is OK?

 o pet "portlint -A": fix various quality issues
 o switch from deprecated USE_MYSQL to USES=mysql
 o compress man page (required)
 o install man page to the correct location where "man" can find it
 o switch to USE_GITHUB and fetch from github correctly
 o install config files with @sample so that upgrades work correctly
Comment 5 Nikolai Lifanov freebsd_committer 2016-12-30 16:59:15 UTC
One more try: now passes poudriere testport.
Comment 6 Nikolai Lifanov freebsd_committer 2016-12-30 17:00:21 UTC
Created attachment 178400 [details]
fix various issues
Comment 7 Nikolai Lifanov freebsd_committer 2016-12-30 17:04:03 UTC
Created attachment 178401 [details]
fix various issues

one more thing: update to latest version (0.16.3)
Comment 8 commit-hook freebsd_committer 2017-01-01 18:42:52 UTC
A commit references this bug:

Author: lifanov
Date: Sun Jan  1 18:42:05 UTC 2017
New revision: 430268
URL: https://svnweb.freebsd.org/changeset/ports/430268

Log:
  new port: databases/mysqldump-secure

  Mysqldump-secure is a POSIX compliant open-source backup tool for MySQL databases with strong security in mind. It will backup every available database (which is readable by the specified user) as a separate file with the possibility to opt out via blacklisting.

  PR:		208032
  Submitted by:	jsmith@resonatingmedia.com
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9001

Changes:
  head/databases/Makefile
  head/databases/mysqldump-secure/
  head/databases/mysqldump-secure/Makefile
  head/databases/mysqldump-secure/distinfo
  head/databases/mysqldump-secure/pkg-descr
  head/databases/mysqldump-secure/pkg-plist
Comment 9 Nikolai Lifanov freebsd_committer 2017-01-01 18:49:04 UTC
Committed with changes, thanks!